Skip to main content
GET
/
v1
/
stocks
/
company
/
executives
Get Company Executive Information
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/company/executives \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "accepted_date": "<string>",
      "all_other_compensation": 123,
      "bonus": 123,
      "cik": "<string>",
      "company_name": "<string>",
      "filing_date": "<string>",
      "incentive_plan_compensation": 123,
      "link": "<string>",
      "name_and_position": "<string>",
      "option_award": 123,
      "salary": 123,
      "stock_award": 123,
      "symbol": "<string>",
      "total": 123,
      "year": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Stock symbol (uppercase, e.g., META, AAPL)

Response

200 - application/json

Successfully retrieved executive information

data
object[]
error
object
pagination
any
request_id
string
success
boolean